/*
 * ddr_drv.h
 *
 *
 *  Created on: 26-05-2017
 *      Author: KJ
 */

#ifndef DDR_DRV_H_
#define DDR_DRV_H_

#include "tdefs.h"
#include "ddr.h"

#define ELEMENT_IS_REC_FLOAT	0x8000

extern struct ddr_drv_logic *ddr_drv_log_ptr;

struct ddr_drv_logic
{
	u16 an_count;
	u16 bin_count;
	u16 sample_size;
	u16 element_num[];
};

struct ddr_drv_io
{
}__attribute__((__packed__));

struct ddr_drv_params
{
}__attribute__((__packed__));

struct ddr_drv_args
{
	struct ddr_drv_io io;
	struct ddr_drv_params params;
//	u16 crc;
}__attribute__((__packed__));

extern int ddr_drv_initlog(void *args, void *logic);

#endif /* DDR_DRV_H_ */
